# DAGetElements

Gets an array containing the indices (in local coordinates) of all the local elements

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetElements(DA da,PetscInt *n,const PetscInt *e[])

Not Collective

### Input Parameter

da -the DA object

### Output Parameters

| n | - number of local elements
| e | - the indices of the elements vertices

### See Also

DAElementType, DASetElementType(), DARestoreElements()

Level:intermediate
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/da/examples/tutorials/ex5.c.html